"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Updater = void 0;
const Utils_1 = require("../../Utils");
class Updater {
    constructor(container, particle) {
        this.container = container;
        this.particle = particle;
        this.updaters = Utils_1.Plugins.getUpdaters(container).map((t) => t(particle));
    }
    update(delta) {
        for (const updater of this.updaters) {
            updater.update(delta);
        }
    }
}
exports.Updater = Updater;
