"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrbitUpdater = void 0;
class OrbitUpdater {
    constructor(container, particle) {
        this.container = container;
        this.particle = particle;
    }
    isEnabled() {
        const particle = this.particle, orbitAnimations = particle.options.orbit.animation;
        return !particle.destroyed && !particle.spawning && orbitAnimations.enable;
    }
    update(delta) {
        const particle = this.particle, orbitAnimations = particle.options.orbit.animation;
        if (!this.isEnabled()) {
            return;
        }
        particle.orbitRotation += orbitAnimations.speed * delta.factor;
    }
}
exports.OrbitUpdater = OrbitUpdater;
