"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StrokeColorUpdater = void 0;
const Utils_1 = require("../Utils");
class StrokeColorUpdater {
    constructor(container, particle) {
        this.container = container;
        this.particle = particle;
    }
    isEnabled() {
        const particle = this.particle;
        const color = particle.stroke.color;
        return (!particle.destroyed &&
            !particle.spawning &&
            color !== undefined &&
            typeof color !== "string" &&
            particle.strokeColor.value !== undefined &&
            color.animation.enable);
    }
    update(delta) {
        var _a, _b;
        const particle = this.particle;
        if (!this.isEnabled()) {
            return;
        }
        const animationOptions = particle.stroke.color.animation;
        const offset = Utils_1.NumberUtils.randomInRange(animationOptions.offset.min, animationOptions.offset.max);
        const colorValue = particle.strokeColor.value;
        if (!colorValue) {
            return;
        }
        colorValue.h += ((_b = (_a = particle.strokeColor.velocity) !== null && _a !== void 0 ? _a : particle.color.velocity) !== null && _b !== void 0 ? _b : 0) * delta.factor + offset * 3.6;
        if (colorValue.h > 360) {
            colorValue.h -= 360;
        }
    }
}
exports.StrokeColorUpdater = StrokeColorUpdater;
