import { NumberUtils } from "../Utils";
export class ColorUpdater {
    constructor(container, particle) {
        this.container = container;
        this.particle = particle;
    }
    isEnabled() {
        const particle = this.particle;
        const animationOptions = particle.options.color.animation;
        return (!particle.destroyed && !particle.spawning && particle.color.value !== undefined && animationOptions.enable);
    }
    update(delta) {
        var _a;
        const particle = this.particle;
        const animationOptions = particle.options.color.animation;
        if (!this.isEnabled()) {
            return;
        }
        const offset = NumberUtils.randomInRange(animationOptions.offset.min, animationOptions.offset.max);
        const colorValue = particle.color.value;
        if (!colorValue) {
            return;
        }
        colorValue.h += ((_a = particle.color.velocity) !== null && _a !== void 0 ? _a : 0) * delta.factor + offset * 3.6;
        if (colorValue.h > 360) {
            colorValue.h -= 360;
        }
    }
}
